MP4(3)

NAME

MP4Info - Return a textual summary of an mp4 file

SYNTAX

#include <mp4.h>

char* MP4Info(
    MP4FileHandle hFile,
    MP4TrackId trackId = MP4_INVALID_TRACK_ID
);

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies a track for which a summary is desired. If the value is MP4_INVALID_TRACK_ID, the summary info is created for all tracks in the mp4 file.

RETURN VALUES

Upon success, a malloc'ed string containing the summary info. Upon an error, NULL.

DESCRIPTION

MP4Info provides a string that contains a textual summary of the contents of an mp4 file. This includes the track id's, the track type, and track specific information. For example, for a video track, media encoding, image size, frame rate, and bitrate are summarized.

Note that the returned string is malloc'ed, so it is the caller's responsibility to free() the string to prevent memory leaks. Also note that the returned string contains newlines and tabs which may or may not be desirable.

The following is an example of the output of MP4Info():

Track   Type    Info
1       video    MPEG-4 Simple @ L3, 119.625 secs, 1008 kbps, 352x288 @ 24.00 fps
2       audio    MPEG-4, 119.327 secs, 128 kbps, 44100 Hz
3       hint    Payload MP4V-ES for track 1
4       hint    Payload mpeg4-generic for track 2
5       od    Object Descriptors
6       scene    BIFS

SEE ALSO

MP4(3) MP4FileInfo(3)